import React from 'react';
import { Container, Typography } from "@material-ui/core";
import { MuiThemeProvider as ThemeProvider, StylesProvider } from "@material-ui/core/styles";
import { studentTheme } from "./ui/theme";
import { InternshipForm } from "@/forms/Internship";
import { MuiPickersUtilsProvider } from "@material-ui/pickers";
import MomentUtils from "@date-io/moment";

import "moment/locale/pl"
moment.locale("pl")

import '@/styles/overrides.scss'
import moment, { Moment } from "moment";

class LocalizedMomentUtils extends MomentUtils {
    getDatePickerHeaderText(date: Moment): string {
        return this.format(date, "d MMM yyyy");
    }
}

function App() {
  return (
      <StylesProvider injectFirst>
          <MuiPickersUtilsProvider utils={ LocalizedMomentUtils } libInstance={ moment }>
              <ThemeProvider theme={ studentTheme }>
                  <div className="app">
                      <Container maxWidth={"md"}>
                          <Typography variant="h3">Zgłoszenie Praktyki</Typography>
                          <Typography variant="subtitle1">UX Demo</Typography>

                          <InternshipForm />
                      </Container>
                  </div>
              </ThemeProvider>
          </MuiPickersUtilsProvider>
      </StylesProvider>
  );
}

export default App;
