import { Identifiable } from "./common";

export interface Address {
    street: string;
    building: string;
    city: string;
    postalCode: string;
    country: string;
}

export interface Company extends Identifiable {
    name: string;
    url?: string;
    nip: string;
    offices: BranchOffice[];
}

export interface BranchOffice extends Identifiable {
    address: Address;
}

export const emptyCompany: Company = {
    offices: [],
    url: "",
    name: "",
    nip: "",
}

export const emptyAddress: Address = {
    street: "",
    city: "",
    country: "",
    postalCode: "",
    building: ""
}

export const emptyBranchOffice: BranchOffice = {
    address: emptyAddress,
}

export const formatAddress = ({ postalCode, building, street, city, country }: Address): string => `${street} ${building}, ${postalCode} ${city}, ${country}`
